Subject: Bug#3225: dpkg-1.2.3 upgrade problems from 1.0.17

From: Guy Maor <[email-masked]>
Date: Wed, 5 Jun 1996 17:18:31 -0500 (CDT)

On Wed, 5 Jun 1996, Christopher C. Chimelis wrote:

> I'm currently trying to upgrade my 0.93R6 installation to test the 1.1
> beta (aka "unstable").  I know I've got to upgrade my dpkg first, but when
> trying to install the dpkg-1.2.3elf.deb, it gives me the following:

Paradoxically, you can't install an elf base package until you have a
recent dpkg.  Recent dpkgs are all elf so...

There is a special a.out version of dpkg in /debian/upgrades.  Upgrade
to that by hand (ie - use dpkg, not dselect).  Then you can upgrade the
rest of the packages.

So this bug is more of a documentation problem.

Guy